io.vertx.core.tracing

## Class TracingOptions

- java.lang.Object
- - io.vertx.core.tracing.TracingOptions

- Direct Known Subclasses:
    OpenTracingOptions, ZipkinTracingOptions

      public class TracingOptions
      extends Object

  Vert.x tracing base configuration, this class can be extended by provider implementations to configure those specific implementations.
  Author:
    Julien Viet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TracingOptions()` Default constructor
    `TracingOptions(JsonObject json)` Create an instance from a `JsonObject`
    `TracingOptions(TracingOptions other)` Copy constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TracingOptions` | `copy()`
    `VertxTracerFactory` | `getFactory()` Get the tracer factory to be used when tracing are enabled.
    `TracingOptions` | `setFactory(VertxTracerFactory factory)` Programmatically set the tracer factory to be used when tracing are enabled.
    `JsonObject` | `toJson()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TracingOptions

          public TracingOptions()

      Default constructor

    - #### TracingOptions

          public TracingOptions(TracingOptions other)

      Copy constructor
      Parameters:
        `other` - The other `TracingOptions` to copy when creating this

    - #### TracingOptions

          public TracingOptions(JsonObject json)

      Create an instance from a `JsonObject`
      Parameters:
        `json` - the JsonObject to create it from

  - ### Method Detail

    - #### getFactory

          public VertxTracerFactory getFactory()

      Get the tracer factory to be used when tracing are enabled.

      If the tracer factory has been programmatically set here, then that will be used when tracing are enabled for creating the `VertxTracer` instance.

      Otherwise Vert.x attempts to locate a tracer factory implementation on the classpath.

      Returns:
        the tracer factory

    - #### setFactory

          public TracingOptions setFactory(VertxTracerFactory factory)

      Programmatically set the tracer factory to be used when tracing are enabled.

      Normally Vert.x will look on the classpath for a tracer factory implementation, but if you want to set one programmatically you can use this method.

      Parameters:
        `factory` - the tracer factory
      Returns:
        a reference to this, so the API can be used fluently

    - #### copy

          public TracingOptions copy()

    - #### toJson

          public JsonObject toJson()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 Eclipse. All rights reserved.